Activate skill version
curl --request POST \
--url https://api.sidenet.ai/v1/skills/{id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41"
}
'import requests
url = "https://api.sidenet.ai/v1/skills/{id}/activate"
payload = { "version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version_id: '3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41'})
};
fetch('https://api.sidenet.ai/v1/skills/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sidenet.ai/v1/skills/{id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version_id' => '3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sidenet.ai/v1/skills/{id}/activate"
payload := strings.NewReader("{\n \"version_id\": \"3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sidenet.ai/v1/skills/{id}/activate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version_id\": \"3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sidenet.ai/v1/skills/{id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version_id\": \"3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41\"\n}"
response = http.request(request)
puts response.read_body{
"skill": {
"id": "9a4e2c71-5b08-4f3d-a6c2-1e7d8b0f4c23",
"name": "refund-policy",
"description": "How refunds are decided and worded. Load before answering any refund or cancellation question.",
"status": "published",
"active_version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"latest_version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"dirty": false,
"created_at": "2026-10-01T09:12:44.881Z",
"updated_at": "2026-10-14T08:30:20.517Z"
},
"latest": {
"id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"skill_id": "9a4e2c71-5b08-4f3d-a6c2-1e7d8b0f4c23",
"version_number": 2,
"name": "refund-policy",
"description": "How refunds are decided and worded. Load before answering any refund or cancellation question.",
"instructions": "## Refunds\n\n1. Full refund within 14 days of purchase…",
"change_message": "Updated instructions",
"changed_fields": [
"instructions"
],
"created_at": "2026-10-14T08:30:20.517Z",
"active": true
},
"active": {
"id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"skill_id": "9a4e2c71-5b08-4f3d-a6c2-1e7d8b0f4c23",
"version_number": 2,
"name": "refund-policy",
"description": "How refunds are decided and worded. Load before answering any refund or cancellation question.",
"instructions": "## Refunds\n\n1. Full refund within 14 days of purchase…",
"change_message": "Updated instructions",
"changed_fields": [
"instructions"
],
"created_at": "2026-10-14T08:30:20.517Z",
"active": true
}
}Skills
Activate skill version
Points agents at a specific version of the skill — the way to roll back. Takes effect on their next turn.
POST
/
v1
/
skills
/
{id}
/
activate
Activate skill version
curl --request POST \
--url https://api.sidenet.ai/v1/skills/{id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41"
}
'import requests
url = "https://api.sidenet.ai/v1/skills/{id}/activate"
payload = { "version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({version_id: '3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41'})
};
fetch('https://api.sidenet.ai/v1/skills/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sidenet.ai/v1/skills/{id}/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version_id' => '3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sidenet.ai/v1/skills/{id}/activate"
payload := strings.NewReader("{\n \"version_id\": \"3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sidenet.ai/v1/skills/{id}/activate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"version_id\": \"3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sidenet.ai/v1/skills/{id}/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"version_id\": \"3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41\"\n}"
response = http.request(request)
puts response.read_body{
"skill": {
"id": "9a4e2c71-5b08-4f3d-a6c2-1e7d8b0f4c23",
"name": "refund-policy",
"description": "How refunds are decided and worded. Load before answering any refund or cancellation question.",
"status": "published",
"active_version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"latest_version_id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"dirty": false,
"created_at": "2026-10-01T09:12:44.881Z",
"updated_at": "2026-10-14T08:30:20.517Z"
},
"latest": {
"id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"skill_id": "9a4e2c71-5b08-4f3d-a6c2-1e7d8b0f4c23",
"version_number": 2,
"name": "refund-policy",
"description": "How refunds are decided and worded. Load before answering any refund or cancellation question.",
"instructions": "## Refunds\n\n1. Full refund within 14 days of purchase…",
"change_message": "Updated instructions",
"changed_fields": [
"instructions"
],
"created_at": "2026-10-14T08:30:20.517Z",
"active": true
},
"active": {
"id": "3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41",
"skill_id": "9a4e2c71-5b08-4f3d-a6c2-1e7d8b0f4c23",
"version_number": 2,
"name": "refund-policy",
"description": "How refunds are decided and worded. Load before answering any refund or cancellation question.",
"instructions": "## Refunds\n\n1. Full refund within 14 days of purchase…",
"change_message": "Updated instructions",
"changed_fields": [
"instructions"
],
"created_at": "2026-10-14T08:30:20.517Z",
"active": true
}
}Authorizations
Organization API key, generated in studio.sidenet.ai. Backend only — never in a browser.
Path Parameters
Example:
"9a4e2c71-5b08-4f3d-a6c2-1e7d8b0f4c23"
Body
application/json
Example:
"3c8f1d26-7e94-4a05-b2d7-6f0a9c5e8b41"